package com.ruoyi.jjh.ent.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.jjh.ent.entity.response.HonorResponse;
import com.ruoyi.jjh.ent.entity.response.ProjectTrackingResponse;
import com.ruoyi.jjh.ent.service.JDataScreenService;
import com.ruoyi.jjh.ent.service.SmsAlertsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 数据大屏控制层
 *
 * @author du
 * @since 2024/7/15 14:54
 */
@RestController
@RequestMapping("/jjh/dataScreen")
@Api(tags = "数据大屏")
public class JDataScreenController extends BaseController {

    @Resource
    private JDataScreenService jDataScreenService;

    @Resource
    private SmsAlertsService sms;
    /**
     * 荣誉情况
     * @return 所有数据
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "荣誉情况")
    @GetMapping("/honor")
    public AjaxResult getHonor(HonorResponse a) {
        return success(jDataScreenService.getHonor());
    }

    /**
     * 项目追踪情况
     * @return 所有数据
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "项目追踪情况")
    @GetMapping("/projectTracking")
    public AjaxResult getProjectTracking(ProjectTrackingResponse a) {
        return success(jDataScreenService.getProjectTracking());
    }

}
