package com.ruoyi.jjh.ent.service.impl;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.jjh.declaration.entity.BmsFundingDetail;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.entity.response.HonorResponse;
import com.ruoyi.jjh.ent.entity.response.ProjectTrackingResponse;
import com.ruoyi.jjh.ent.mapper.JDataScreenMapper;
import com.ruoyi.jjh.ent.service.JDataScreenService;
import com.ruoyi.jjh.ent.service.JProjectService;
import com.ruoyi.jjh.ent.service.SmsAlertsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 数据大屏业务处理层
 * @author du
 * @since 2024/5/13 9:58
 */
@Service
public class JDataScreenImpl implements JDataScreenService {

    @Resource
    private JDataScreenMapper jDataScreenMapper;

    @Resource
    private JProjectService jProjectService;



    /**
     * 荣誉情况
     * @return 所有数据
     */
    @Override
    public List<HonorResponse> getHonor() {
        int x = 0;
        for (JProject jp : jProjectService.lambdaQuery().eq(JProject::getProjectMiddleType,4).list()) {
            if("否".equals(JSONObject.parseObject(jp.getOtherJson()).get("是否通过2022年度“331”评价"))){
                x+=1;
            }
        }
        List<HonorResponse> honor = jDataScreenMapper.getHonor();
        for (HonorResponse y : honor) {
            if(y.getProjectBigType()==4){
                y.setCount1(y.getCount1()-x);
            }
            if(y.getProjectMiddleType()==4){
                y.setCount2(y.getCount2()-x);
            }
            if(y.getProjectSmallType()==6){
                y.setCount3(y.getCount3()-x);
            }
        }
        return honor;
    }

    /**
     * 项目追踪情况
     * @return 所有数据
     */
    @Override
    public List<ProjectTrackingResponse> getProjectTracking() {
        return jDataScreenMapper.getProjectTracking();
    }
}
